Index: newforms/forms.py
===================================================================
--- newforms/forms.py	(revision 4637)
+++ newforms/forms.py	(working copy)
@@ -46,7 +46,14 @@
             if hasattr(base, 'base_fields'):
                 fields = base.base_fields.items() + fields
 
-        attrs['base_fields'] = SortedDictFromList(fields)
+        # preserve initial values
+        base_fields = SortedDictFromList(fields)
+        if attrs.get('base_fields'):
+            base_fields = base_fields.copy()
+            for k, v in attrs.get('base_fields').items():
+                if k in base_fields:
+                    base_fields[k].initial = v.initial
+        attrs['base_fields'] = base_fields
         return type.__new__(cls, name, bases, attrs)
 
 class BaseForm(StrAndUnicode):
